Build the movie of a playlist

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/playlists/{playlist_id}/build/mp4

Start a build job that makes an MP4 movie of the playlist. If the job queue is enabled, the job runs in the background. Else, the response comes when the movie is ready. You must be a manager of the project.

Path parameters

  • playlist_id string(uuid) Required

    Playlist unique identifier

Query parameters

  • full boolean

    Build the movie in full quality

Responses

  • 200 application/json

    The build job

    Hide response attributes Show response attributes object
    • id string(uuid)

      Build job unique identifier

    • status string

      Build job status

    • created_at string(date-time)

      Build job creation timestamp

  • 400

    The remote job queue needs the s3 or swift storage

  • 403

    You are not a manager of the project

  • 404

    The playlist does not exist

  • 409

    A build of this playlist is already in progress

GET /data/playlists/{playlist_id}/build/mp4
curl -X GET "http://api.example.com/data/playlists/a24a6ea4-ce75-4665-a070-57453082c25/build/mp4?full=true" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/playlists/a24a6ea4-ce75-4665-a070-57453082c25/build/mp4"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "full": true
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "status": "pending",
  "created_at": "2022-07-12T10:30:00Z"
}